Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.constructionheuristic
Class ConstructionHeuristicPhaseConfig

    java.lang.Object
      org.optaplanner.core.config.phase.PhaseConfig
          org.optaplanner.core.config.constructionheuristic.ConstructionHeuristicPhaseConfig

    public class ConstructionHeuristicPhaseConfig

extends PhaseConfig

Field Summary
`protected ConstructionHeuristicType` | `constructionHeuristicType`
`protected List<EntityPlacerConfig>` | `entityPlacerConfigList`
`protected EntitySorterManner` | `entitySorterManner`
`protected ConstructionHeuristicForagerConfig` | `foragerConfig`
`protected ValueSorterManner` | `valueSorterManner`

Constructor Summary
`ConstructionHeuristicPhaseConfig()`

Method Summary
`ConstructionHeuristicPhase` | `buildPhase(int phaseIndex, HeuristicConfigPolicy solverConfigPolicy, BestSolutionRecaller bestSolutionRecaller, Termination solverTermination)`
`ConstructionHeuristicType` | `getConstructionHeuristicType()`
`EntityPlacerConfig` | `getEntityPlacerConfig()`
`EntitySorterManner` | `getEntitySorterManner()`
`ConstructionHeuristicForagerConfig` | `getForagerConfig()`
`ValueSorterManner` | `getValueSorterManner()`
`void` | `inherit(ConstructionHeuristicPhaseConfig inheritedConfig)`
`void` | `setConstructionHeuristicType(ConstructionHeuristicType constructionHeuristicType)`
`void` | `setEntityPlacerConfig(EntityPlacerConfig entityPlacerConfig)`
`void` | `setEntitySorterManner(EntitySorterManner entitySorterManner)`
`void` | `setForagerConfig(ConstructionHeuristicForagerConfig foragerConfig)`
`void` | `setValueSorterManner(ValueSorterManner valueSorterManner)`

Methods inherited from class org.optaplanner.core.config.phase.PhaseConfig
`configurePhase, getTerminationConfig, inherit, setTerminationConfig, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### constructionHeuristicType

    protected ConstructionHeuristicType constructionHeuristicType

### entitySorterManner

    protected EntitySorterManner entitySorterManner

### valueSorterManner

    protected ValueSorterManner valueSorterManner

### entityPlacerConfigList

    protected List<EntityPlacerConfig> entityPlacerConfigList

### foragerConfig

    protected ConstructionHeuristicForagerConfig foragerConfig

Constructor Detail

### ConstructionHeuristicPhaseConfig

    public ConstructionHeuristicPhaseConfig()

Method Detail

### getConstructionHeuristicType

    public ConstructionHeuristicType getConstructionHeuristicType()

### setConstructionHeuristicType

    public void setConstructionHeuristicType(ConstructionHeuristicType constructionHeuristicType)

### getEntitySorterManner

    public EntitySorterManner getEntitySorterManner()

### setEntitySorterManner

    public void setEntitySorterManner(EntitySorterManner entitySorterManner)

### getValueSorterManner

    public ValueSorterManner getValueSorterManner()

### setValueSorterManner

    public void setValueSorterManner(ValueSorterManner valueSorterManner)

### getEntityPlacerConfig

    public EntityPlacerConfig getEntityPlacerConfig()

### setEntityPlacerConfig

    public void setEntityPlacerConfig(EntityPlacerConfig entityPlacerConfig)

### getForagerConfig

    public ConstructionHeuristicForagerConfig getForagerConfig()

### setForagerConfig

    public void setForagerConfig(ConstructionHeuristicForagerConfig foragerConfig)

### buildPhase

    public ConstructionHeuristicPhase buildPhase(int phaseIndex,
                                                 HeuristicConfigPolicy solverConfigPolicy,
                                                 BestSolutionRecaller bestSolutionRecaller,
                                                 Termination solverTermination)

  Specified by:
    `buildPhase` in class `PhaseConfig`

### inherit

    public void inherit(ConstructionHeuristicPhaseConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.